package com.realnet.basic.Services;
import com.realnet.basic.Repository.NotesRepository;
import com.realnet.basic.Entity.Notes
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class NotesService {
@Autowired
private NotesRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Notes Savedata(Notes data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Notes save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Notes> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Notes> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Notes> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Notes getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Notes update(Notes data,Integer id) {
	Notes old = Repository.findById(id).get();
old.setNote_title(data.getNote_title());

old.setDescription(data.getDescription());

final Notes test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
